I am refering packages and text from
http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v4.0.3/rpms/

and I did setup of tomcat4 and apache, I can see servlets using tomcat4's web
 server but after putting mod_jk connector when I restart httpd ( i.e apache ) I get
 following error.

**********************
[root@localhost conf]# /etc/init.d/httpd start
Starting httpd: [Tue May  7 13:48:21 2002] [warn] Loaded DSO /usr/lib/apache/mod
_jk.so uses plain Apache 1.3 API, this module might crash under EAPI! (please re
compile it with -DEAPI)
[  OK  ]
*********************
and It's not working. 
I have searched on the web for same errors and solutions, but could not get any.

Please tell me if anyone has got tomcat4 working with mod_jk connector. If so please give me details like
- from where to download packages
- where to find the steps to follow for this

Or do I need to recompile mod_jk.so to get it working?

thanks
Amol